Bug 1238383 - Review Request: mingw-qextserialport - MinGW Windows mingw-qextserialport library
Summary: Review Request: mingw-qextserialport - MinGW Windows mingw-qextserialport lib...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-01 18:28 UTC by Sandro Mani
Modified: 2017-09-02 08:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-02 08:52:40 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Sandro Mani 2015-07-01 18:28:54 UTC
Spec URL: https://smani.fedorapeople.org/review/mingw-qextserialport.spec
SRPM URL: https://smani.fedorapeople.org/review/mingw-qextserialport-1.2-0.1.beta2.fc23.src.rpm
Description: MinGW Windows mingw-qextserialport library
Fedora Account System Username: smani

Comment 1 Upstream Release Monitoring 2015-12-03 20:42:27 UTC
pbrobinson's scratch build of mingw-qt5-qtdeclarative?#0591cb7cdaa968100fd75da17c3cd72799f2a797 for epel7-archbootstrap and git://pkgs.fedoraproject.org/mingw-qt5-qtdeclarative?#0591cb7cdaa968100fd75da17c3cd72799f2a797 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12038486

Comment 2 Upstream Release Monitoring 2015-12-03 20:43:40 UTC
pbrobinson's scratch build of mingw-qt5-qtbase?#824459d300a4cd07124c3e4967064eec3818d7e2 for epel7-archbootstrap and git://pkgs.fedoraproject.org/mingw-qt5-qtbase?#824459d300a4cd07124c3e4967064eec3818d7e2 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12038485

Comment 3 Upstream Release Monitoring 2015-12-03 20:44:32 UTC
pbrobinson's scratch build of mingw-pkg-config?#e46789095e76e3f10f8da9d5c3390029618a5f93 for epel7-archbootstrap and git://pkgs.fedoraproject.org/mingw-pkg-config?#e46789095e76e3f10f8da9d5c3390029618a5f93 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12038484

Comment 4 Robert-André Mauchin 2017-08-31 18:32:51 UTC
Hello,

I saw your message on fedora-devel, I will process some of your packages, it will give an excellent excuse to learn Mingw guidelines: https://fedoraproject.org/wiki/Packaging:MinGW


This one needs some refreshing. First of all, Google code is no longer a thing, the project was moved to Github, and the latest version is 1.2rc:

URL:           https://github.com/qextserialport/qextserialport
Source0:       https://github.com/qextserialport/qextserialport/archive/%{version}rc/%{name}-%{version}rc.tar.gz

  Then, don't forget to fix %prep:

%prep
%setup -q -n %{pkgname}-%{version}rc

One patch need to be updated as .pro files got centralized in the rc:

diff -up qextserialport-1.2rc/qextserialport.pro.releasebuild qextserialport-1.2rc/qextserialport.pro
--- qextserialport-1.2rc/qextserialport.pro.releasebuild        2012-12-13 06:23:03.000000000 +0100
+++ qextserialport-1.2rc/qextserialport.pro     2017-08-31 18:09:16.702115120 +0200
@@ -57,8 +57,6 @@ macx:qesp_mac_framework {
     QMAKE_BUNDLE_DATA += FRAMEWORK_HEADERS
 }
 
-win32|mac:!wince*:!win32-msvc:!macx-xcode:CONFIG += debug_and_release build_all
-
 #For non-windows system, only depends on QtCore module
 unix:QT = core
 else:QT = core gui


The other patch seems not to be relevant anymore.

 - Use Qt5 instead of Qt4, otherwise you'll encounter a bug of missing private includes and you'll need to make a MingW package of qt-devel-private:
     
BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc-c++
BuildRequires: mingw32-qt5-qmake

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc-c++
BuildRequires: mingw64-qt5-qmake

  Then:
    
%build
%mingw_qmake_qt5 ..

  And:
      
# Fix library names and installation folders
mkdir -p %{buildroot}%{mingw32_bindir}
mv %{buildroot}%{mingw32_libdir}/Qt5ExtSerialPort1.dll %{buildroot}%{mingw32_bindir}/Qt5ExtSerialPort1.dll

mkdir -p %{buildroot}%{mingw64_bindir}
mv %{buildroot}%{mingw64_libdir}/Qt5ExtSerialPort1.dll %{buildroot}%{mingw64_bindir}/Qt5ExtSerialPort1.dll

  Finally:
      
%files -n mingw32-%{pkgname}
%license LICENSE
%{mingw32_bindir}/Qt5ExtSerialPort1.dll
%{mingw32_libdir}/libQt5ExtSerialPort1.dll.a
%{mingw32_libdir}/Qt5ExtSerialPort.prl
%{mingw32_datadir}/qt5/mkspecs/features/extserialport.prf
%{mingw32_includedir}/qt5/QtExtSerialPort/

%files -n mingw64-%{pkgname}
%license LICENSE
%{mingw64_bindir}/Qt5ExtSerialPort1.dll
%{mingw64_libdir}/libQt5ExtSerialPort1.dll.a
%{mingw64_libdir}/Qt5ExtSerialPort.prl
%{mingw64_datadir}/qt5/mkspecs/features/extserialport.prf
%{mingw64_includedir}/qt5/QtExtSerialPort/

Comment 5 Sandro Mani 2017-08-31 18:42:03 UTC
Hi
Thanks for taking the review! The package posted above is actually out of date, (all my current specs are at https://github.com/manisandro/fedora-mingw).

Current package:

Spec URL: https://smani.fedorapeople.org/review/mingw-qextserialport.spec
SRPM URL: https://smani.fedorapeople.org/review/mingw-qextserialport-1.2-0.2.rc.fc28.src.rpm

Let me know if I can review anything in exchange.

Comment 6 Robert-André Mauchin 2017-09-01 07:56:48 UTC
Everything is good, package accepted.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "GPL (v3) LGPL (v2.1 or v3)", "Unknown or
     generated". 37 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/mingw-qextserialport
     /review-mingw-qextserialport/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     mingw32-qextserialport , mingw64-qextserialport , mingw32
     -qextserialport-qt5 , mingw64-qextserialport-qt5
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mingw32-qextserialport-1.2-0.2.rc.fc28.noarch.rpm
          mingw64-qextserialport-1.2-0.2.rc.fc28.noarch.rpm
          mingw32-qextserialport-qt5-1.2-0.2.rc.fc28.noarch.rpm
          mingw64-qextserialport-qt5-1.2-0.2.rc.fc28.noarch.rpm
          mingw-qextserialport-1.2-0.2.rc.fc28.src.rpm
mingw32-qextserialport.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-w64-mingw32/sys-root/mingw/lib/libqextserialport.dll.a
mingw32-qextserialport.noarch: W: no-documentation
mingw32-qextserialport.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/QtExtSerialPort/qextserialenumerator.h
mingw32-qextserialport.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/QtExtSerialPort/qextserialport.h
mingw32-qextserialport.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/QtExtSerialPort/qextserialport_global.h
mingw32-qextserialport.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/libqextserialport.dll.a
mingw32-qextserialport.noarch: W: non-standard-dir-in-usr i686-w64-mingw32
mingw64-qextserialport.noarch: E: arch-independent-package-contains-binary-or-object /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libqextserialport.dll.a
mingw64-qextserialport.noarch: W: no-documentation
mingw64-qextserialport.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/QtExtSerialPort/qextserialenumerator.h
mingw64-qextserialport.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/QtExtSerialPort/qextserialport.h
mingw64-qextserialport.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/QtExtSerialPort/qextserialport_global.h
mingw64-qextserialport.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libqextserialport.dll.a
mingw64-qextserialport.noarch: W: non-standard-dir-in-usr x86_64-w64-mingw32
mingw32-qextserialport-qt5.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-w64-mingw32/sys-root/mingw/lib/libQt5ExtSerialPort.dll.a
mingw32-qextserialport-qt5.noarch: W: no-documentation
mingw32-qextserialport-qt5.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/qt5/QtExtSerialPort/qextserialenumerator.h
mingw32-qextserialport-qt5.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/qt5/QtExtSerialPort/qextserialport.h
mingw32-qextserialport-qt5.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/qt5/QtExtSerialPort/qextserialport_global.h
mingw32-qextserialport-qt5.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/libQt5ExtSerialPort.dll.a
mingw32-qextserialport-qt5.noarch: W: non-standard-dir-in-usr i686-w64-mingw32
mingw64-qextserialport-qt5.noarch: E: arch-independent-package-contains-binary-or-object /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libQt5ExtSerialPort.dll.a
mingw64-qextserialport-qt5.noarch: W: no-documentation
mingw64-qextserialport-qt5.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/qt5/QtExtSerialPort/qextserialenumerator.h
mingw64-qextserialport-qt5.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/qt5/QtExtSerialPort/qextserialport.h
mingw64-qextserialport-qt5.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/qt5/QtExtSerialPort/qextserialport_global.h
mingw64-qextserialport-qt5.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libQt5ExtSerialPort.dll.a
mingw64-qextserialport-qt5.noarch: W: non-standard-dir-in-usr x86_64-w64-mingw32
5 packages and 0 specfiles checked; 4 errors, 24 warnings.

Comment 7 Sandro Mani 2017-09-01 11:33:50 UTC
Thank you!

Comment 8 Gwyn Ciesla 2017-09-01 11:48:41 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/mingw-qextserialport


Note You need to log in before you can comment on or make changes to this bug.